#include <QDeclarativeView>
#include <QDeclarativeEngine>
#include <QDeclarativeItem>
#include <QApplication>
#include <QDesktopWidget>

int main(int argc, char *argv[])
{
    QApplication app(argc, argv);

    QDeclarativeView view;
    view.setSource(QUrl("qrc:/qml/hello.qml"));

    QDeclarativeEngine *engine = view.engine();
    QObject::connect(engine, SIGNAL(quit()),
                     &app, SLOT(quit()));

    QDesktopWidget *screen = app.desktop();
    QDeclarativeItem *rootObj =
            qobject_cast<QDeclarativeItem *> (view.rootObject());
    rootObj->setProperty("width", screen->screenGeometry(-1).width());
    rootObj->setProperty("height", screen->screenGeometry(-1).height());

    view.showFullScreen();

    return app.exec();
}
